“Internet Explorer Flaw” – Internet Security

A security warning was issued recently for those who use Internet Explorer (IE). There is a newly-announced security flaw that may allow attackers to install malicious code on your computer to steal valuable data or cause other harm.

Microsoft has confirmed that the security vulnerability affects Internet Explorer versions 6 through 11. The company is currently working on a patch for the security hole and will release a fix through the usual Windows Update channel. However, it is unlikely they will release a patch for Windows XP users now that official support for that operating system has ended. We recommend members to retire Windows XP and migrate to Windows 7 or Windows 8.

We recommend switching to another web browser such as Google Chrome, Firefox, or Safari until a patch has been released. We also urge you to make sure your antivirus software is running and is up to date.

It is always good security practice to refrain from visiting sites wherein you are unsure about their nature or content. Also, you should never click on any links found in emails that come from unsolicited or unknown sources.